#include <stdio.h>

int main()
{
    int N;
    scanf("%d",&N);
    int H[N];
    int L;
    scanf("%d",&L);
    for(int i=0;i<N;i++)
    {
        scanf("%d",&H[i]);
    }
    for(int i=0;i<N;i++)
    {
        if(H[i]<=L)
        {
            printf("%d",i+1);
            return 0;
        }
    }
    printf("-1");
    return 0;
}